/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package jsf.d13911;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author ngonzalez
 */
@ManagedBean
@SessionScoped
public class Cart implements Serializable {
    private List<Item> items;

    @PostConstruct
    private void init() {
        items = new ArrayList<Item>();
        items.add(new Item("Item A", BigDecimal.ZERO));
        items.add(new Item("Item B", BigDecimal.ZERO));
        items.add(new Item("Item C", BigDecimal.ZERO));
    }

    public String reset() {
        init();
        return null;
    }

    public void removeItem(String name) {
        items.remove(new Item(name, BigDecimal.ZERO));
    }

    public BigDecimal getTotal() {
        BigDecimal total = BigDecimal.ZERO;
        for (Item item : items) {
            total = total.add(item.getPrice());
        }
        return total;
    }

    /**
     * @return the items
     */
    public List<Item> getItems() {
        return items;
    }

    /**
     * @param items the items to set
     */
    public void setItems(List<Item> items) {
        this.items = items;
    }
}
